import { DataEntry } from './search.js';
export interface Store {
    version: number;
    bySpec: {
        [shortname: string]: DataEntry[];
    };
    byTerm: {
        [term: string]: DataEntry[];
    };
    specmap: {
        [specid: string]: {
            url: string;
            shortname: string;
            title: string;
        };
    };
    /** Fill the store with its contents from the filesystem. */
    fill(): void;
}
export declare const store: Store;
